Manage account profiles - Get billing profile
Gets the billing profile.
GET https://api.partnercenter.microsoft.com/v{version}/profiles/billing
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
version
|
path | True |
string |
Api version. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization Bearer token |
| Accept | True |
string |
Acceptable content type; widely accepeted type application/json |
| ms-correlationid |
string |
Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request |
|
| ms-requestid |
string |
Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful. The response body contains the billing profile. Media Types: "application/json", "application/xml", "text/xml", "text/json" |
|
| 400 Bad Request |
There was a missing or an invalid input. The response body will provide the error details. Media Types: "application/json", "application/xml", "text/xml", "text/json" |
|
| 401 Unauthorized |
The request was not authenticated. The client needs to authenticate with the partner API service first. Media Types: "application/json", "application/xml", "text/xml", "text/json" |
|
| 403 Forbidden |
The request was authenticated but was refused since the caller does not have the rights to invoke it. Media Types: "application/json", "application/xml", "text/xml", "text/json" |
|
| 404 Not Found |
The resource is not found or not available with the given input parameters. Media Types: "application/json", "application/xml", "text/xml", "text/json" |
|
| 500 Internal Server Error |
The partner API service or one of its dependencies failed to fulfill the request. Callers may retry this. Media Types: "application/json", "application/xml", "text/xml", "text/json" |
Definitions
| Name | Description |
|---|---|
|
Microsoft. |
Represents an address for a customer or partner. |
|
Microsoft. |
Describes a partner's billing profile. |
|
Microsoft. |
Link represents a URI and the HTTP method which indicates the desired action for accessing the resource. |
|
Microsoft. |
Refers to the common object attributes |
|
Microsoft. |
Navigation links for the resource |
|
Microsoft. |
Describes contact information for a specific individual. |
|
System. |
Microsoft.Partner.Sdk.Contracts.V1.Address
Represents an address for a customer or partner.
| Name | Type | Description |
|---|---|---|
| addressLine1 |
string |
Gets or sets the first line of the address. |
| addressLine2 |
string |
Gets or sets the second line of the address. This property is optional. |
| city |
string |
Gets or sets the city. |
| country |
string |
Gets or sets the country/region in ISO country code format. |
| firstName |
string |
Gets or sets the first name of a contact at the customer's company/organization. |
| lastName |
string |
Gets or sets the last name of a contact at the customer's company/organization. |
| phoneNumber |
string |
Gets or sets the phone number of a contact at the customer's company/organization. This property is optional. |
| postalCode |
string |
Gets or sets the ZIP code or postal code. |
| region |
string |
Gets or sets the region. |
| state |
string |
Gets or sets the state. |
Microsoft.Partner.Sdk.Contracts.V1.BillingProfile
Describes a partner's billing profile.
| Name | Type | Description |
|---|---|---|
| address |
Gets or sets the billing address of the company or organization. |
|
| attributes |
Microsoft. |
Gets the attributes. |
| billingCurrency |
string |
Gets or sets the currency used by the company or organization. |
| billingDay |
integer (int32) |
Gets or sets the billing day. |
| companyName |
string |
Gets or sets the billing company name. |
| links |
Gets or sets the links. |
|
| primaryContact |
Gets or sets the primary contact for the company or organization. |
|
| profileType |
enum:
|
OldProperty: Gets the partner profile type. |
| purchaseOrderNumber |
string |
Gets or sets the company or organization's purchase order number. |
| taxId |
string |
Gets or sets the company or organization's tax Id. |
Microsoft.Partner.Sdk.Contracts.V1.Common.Link
Link represents a URI and the HTTP method which indicates the desired action for accessing the resource.
| Name | Type | Description |
|---|---|---|
| headers |
System. |
Gets the link headers. |
| method |
string |
The method. |
| uri |
string |
The URI. |
Microsoft.Partner.Sdk.Contracts.V1.Common.ResourceAttributes
Refers to the common object attributes
| Name | Type | Description |
|---|---|---|
| etag |
string |
Gets or sets the etag. The object version in providers. |
| objectType |
string |
The type of object. |
Microsoft.Partner.Sdk.Contracts.V1.Common.ResourceLinks
Navigation links for the resource
| Name | Type | Description |
|---|---|---|
| next |
The next page of items. |
|
| previous |
The previous page of items. |
|
| self |
The self uri. |
Microsoft.Partner.Sdk.Contracts.V1.Contact
Describes contact information for a specific individual.
| Name | Type | Description |
|---|---|---|
|
string |
Gets or sets the contact's email address. |
|
| firstName |
string |
Gets or sets the contact's first name. |
| lastName |
string |
Gets or sets the contact's last name. |
| phoneNumber |
string |
Gets or sets the contact's phone number. |
System.Collections.Generic.KeyValuePair[System.String,System.String]
| Name | Type | Description |
|---|---|---|
| key |
string |
|
| value |
string |